Other Classes: Class WMLDOMImplementationImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--org.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--org.apache.wml.dom.WMLDOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS, WMLDOMImplementation

public class WMLDOMImplementationImpl
extends org.apache.xerces.dom.DOMImplementationImpl
implements WMLDOMImplementation

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: WMLDOMImplementationImpl.java 516291 2007-03-09 04:26:22Z mrglavas $
Author:
  David Li

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`WMLDOMImplementationImpl()`

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)` Introduced in DOM Level 2.
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`hasFeature`

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocumentType, getFeature, hasFeature`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  Description copied from class: `org.apache.xerces.dom.DOMImplementationImpl`
  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `org.w3c.dom.DOMImplementation`
  Overrides:
    `createDocument` in class `org.apache.xerces.dom.DOMImplementationImpl`
  See Also:
    `DOMImplementation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.